package com.pj.tb_wallet_topup;

import java.util.Date;
import java.util.List;

import com.github.binarywang.wxpay.bean.coupon.*;
import com.github.binarywang.wxpay.bean.notify.WxPayNotifyResponse;
import com.github.binarywang.wxpay.bean.notify.WxPayOrderNotifyResult;
import com.github.binarywang.wxpay.bean.notify.WxPayRefundNotifyResult;
import com.github.binarywang.wxpay.bean.notify.WxScanPayNotifyResult;
import com.github.binarywang.wxpay.bean.request.*;
import com.github.binarywang.wxpay.bean.result.*;
import com.github.binarywang.wxpay.exception.WxPayException;
import com.github.binarywang.wxpay.service.WxPayService;
import com.pj.tb_wallet_topup.vo.ValletTopupVo;
import com.pj.utils.so.SoMap;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_wallet_topup -- 服务点充值记录
 * @author plj 
 */
@RestController
@RequestMapping("/TbWalletTopup/")
public class TbWalletTopupController {

	/** 底层 Service 对象 */
	@Autowired
	TbWalletTopupService tbWalletTopupService;

	@Autowired
	private WxPayService wxService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(TbWalletTopup.PERMISSION_CODE_ADD)
	public AjaxJson add(TbWalletTopup t){
		tbWalletTopupService.add(t);
		t = tbWalletTopupService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(TbWalletTopup.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbWalletTopupService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbWalletTopup.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbWalletTopup.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbWalletTopup.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbWalletTopup t){
		tbWalletTopupService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(TbWalletTopup.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		ValletTopupVo t = tbWalletTopupService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(TbWalletTopup.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<ValletTopupVo> list = tbWalletTopupService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	/** 改 - 删除状态(0=禁用,1=启用) */  
	@RequestMapping("updateDeleteStatus")
	@SaCheckPermission(TbWalletTopup.PERMISSION_CODE_EDIT)
	public AjaxJson updateDeleteStatus(Long id, Integer value){
		int line = SP.publicMapper.updateColumnById(TbWalletTopup.TABLE_NAME, "delete_status", value, id);
		return AjaxJson.getByLine(line);
	}
	

}
