package com.pj.tb_wallet_topup;

import com.pj.tb_wallet_topup.vo.ValletTopupVo;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Service: tb_wallet_topup -- 服务点充值记录
 * @author plj 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbWalletTopupService extends ServiceImpl<TbWalletTopupMapper, TbWalletTopup> implements IService<TbWalletTopup>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbWalletTopupMapper tbWalletTopupMapper;

	/** 增 */
	void add(TbWalletTopup t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbWalletTopup t){
		updateById(t);
	}

	/** 查 */
	ValletTopupVo getById(Long id){
		List<ValletTopupVo> listObj=tbWalletTopupMapper.getList(new SoMap().set("id",id));
		if(listObj!=null && listObj.size()>0) {
			return listObj.get(0);
		}else {
			return  null;
		}
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<ValletTopupVo> getList(SoMap so) {
		return tbWalletTopupMapper.getList(so);	
	}
	

}
